# SocketTools 10 .NET Edition

Version 10.0.1468.2520  
This release of SocketTools includes .NET assemblies for the Windows platform. All components are digitally signed and can be redistributed to end users.

When you install a new version of SocketTools on your development system, you will be prompted to provide your product serial number, or you can install with an evaluation license which is valid for thirty (30) days. If you are updating SocketTools, it is not necessary to uninstall the previous version. The installer will automatically update the assemblies on your development system using your existing license.

SocketTools 10 can be installed side-by-side with previous versions. For example, you can have both SocketTools 9.5 and SocketTools 10 installed on the same development system. However, you should not attempt to reference different versions of the same assembly within a project.

## Installation

The self-installing executable in this archive will install SocketTools for use in a development environment. It should not be used to install the SocketTools components on an end-user system.

To assist with deployment to end users, we provide Windows Installer (MSI) packages which can be used install the redistributable components. For more information, refer to our Knowledge Base [article](https://sockettools.com/kb/sockettools-windows-installer-packages/).

By default, SocketTools will be installed to **C:\Program Files (x86)\SocketTools 10.0 .NET Edition** and you can change this folder with new installations. If you are updating SocketTools, the installer will replace files in the original installation folder.

Although SocketTools defaults to the 32-bit Program Files folder, it will install both 32-bit and 64-bit components on a 64-bit Windows system. The .NET assemblies are installed in the common folder **C:\Program Files (x86)\Common Files\SocketTools\10.0\Assemblies** and are platform neutral. They can be referenced by projects which target either the x86 or x64 platforms.

## Digital Signatures

The SocketTools installer packages and components have been digitally signed with an extended validation (EV) Authenticode certificate which uses SHA-256 signatures. Security software on older, unsupported platforms may report the installers as having an invalid certificate because they only recognize MD5 and SHA-1 signatures.

## Redistribution

If you are installing SocketTools with an evaluation license, you will not be able to redistribute the components to another system. The evaluation license is only valid on the local system for testing purposes by the user who installed the product.

If you install SocketTools with a serial number, it will create the development license required to redistribute the components to other users. There are no additional runtime licensing requirements, and the components can be redistributed to as many end users as required.

For assistance with deploying your applications, we have a Knowledge Base article for redistribution of the .NET components:

- [SocketTools .NET Redistribution](https://sockettools.com/kb/sockettools-10-dotnet-redistribution/)

The article describes how to create the runtime license key for your projects and how it is used. The same license key should be used with each .NET component referenced by your project.

## System Requirements

SocketTools 10 supports all modern Windows desktop and server platforms. We recommend you install the latest security updates from Windows Update and the current network drivers available for your system. The minimum supported platform is Windows 7 SP1 and Windows Server 2008 R2.

SocketTools can be installed on Windows XP SP3 and Windows Vista; however, the .NET classes will only support secure connections using TLS 1.0 on those platforms. For secure connections using TLS 1.2, your application must target Windows 7 or later.

SocketTools includes both 32-bit and 64-bit components. We recommend development on 64-bit versions of Windows, and for the broadest compatibility with most end-user systems, we recommend targeting your project for the x86 (32-bit) platform.

Targeting the x86 platform will ensure your application will work on both 32-bit and 64-bit Windows. A 32-bit application can run on 64-bit Windows under WoW64; however, a 64-bit application cannot run on 32-bit versions of Windows.

## Examples

The examples for SocketTools are placed in your Documents folder, under **SocketTools Examples**. They are placed there so you can easily modify them without having to copy them out of the installation folder.

